<?php
@session_start();

$mandant_name = $_SESSION[ "mandant_name" ];


include_once( "f_admin.php" );
include_once( "f_wfl.php" );
include_once( "kd_einsprungspunkte.php" );


///////////////////////////////
// Darf der Benutzer diese Seite sehen?

$exec = besitzt_benutzer_systemrecht( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ], "ADMINISTRATOR" );


if ( $exec[ 0 ] != 1 )
{
	header( "Location: us_uebersicht.php" );
}

///////////////////////////////





////////////////////////////////////////
// Javascript-Dateien
$_SESSION[ "javascript_dateien" ] = "jquery.mousewheel.js";
////////////////////////////////////////

$_SESSION[ "title" ] = "Administratorbereich Depotverwaltung";
include( 'ssi_header.php' );
$_SESSION[ "title" ] = "";
include( "ad_menu.php" );



echo "<div style='margin-left:200px; padding-bottom:30px;  min-height:550px;'>";
//echo "<span>Schnellsuche:</span><input type='text' style='width:200px;' value='Schnellsuche ...' name='schnellsuche' id='schnellsuche' onfocus=\"this.value = '';  fuelle_element( 'ergebnis_1', '' ); \" onblur=\"this.value='Schnellsuche ...';\" onkeyup=\"ajaxFunction( 'su_web.php?cmd=suche_benutzer&mandant_name=".urlencode( $mandant_name )."&konfig_option='+encodeURIComponent( this.value ), 'eintraege_liste' );\"    /><br /><br />";

echo '<div id="eintraege_liste" name="eintraege_liste" style=" display:inline;" ><select id="select_style_1" size="20" name="users"   onchange="fuelle_element( \'ergebnis_3\', \'\' );ajaxFunction( \'su_web.php?cmd=liefere_depotinformationen&element=\'+this.value, \'ergebnis_1\' ); ajaxFunction( \'su_web.php?cmd=liefere_depot_optionen&element=\'+this.value, \'ergebnis_2\' );"  >';
//
// Schleife über die Optionen

$ergebnis = welche_depots_gibt_es( $mandant_name );

foreach ( $ergebnis[ 2 ] as $zeile )
{
	echo "<option value='".$zeile."'>".$zeile."</option>";
}




?>
</select></div>


<div name="ergebnis_1" id="ergebnis_1" style=" vertical-align:top;  position:absolute;  display:inline; margin-top:10px;" ></div>
	
	


<div name="ergebnis_2" id="ergebnis_2" style=" margin-top:10px;" ><input type="button" value="Anlegen" style="width:150px;margin-left:10px;" onclick="$( '#ergebnis_3' ).load( 'su_web.php?cmd=depot_anlegen' );   " /></div>

<?php

echo '<div name="ergebnis_3" id="ergebnis_3" style=" margin-top:10px;" >'.$_SESSION[ "meldung_ad" ].'</div>';
	$_SESSION[ "meldung_ad" ] = "";

echo "</div>";

include( 'ssi_footer.php' );

?>